package com.aucma.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.base.mapper.RecordDnbInstantMapper;
import com.aucma.base.domain.RecordDnbInstant;
import com.aucma.base.service.IRecordDnbInstantService;

/**
 * 电实时数据Service业务层处理
 * 
 * @author Yinq
 * @date 2023-09-26
 */
@Service
public class RecordDnbInstantServiceImpl implements IRecordDnbInstantService 
{
    @Autowired
    private RecordDnbInstantMapper recordDnbInstantMapper;

    /**
     * 查询电实时数据
     * 
     * @param objId 电实时数据主键
     * @return 电实时数据
     */
    @Override
    public RecordDnbInstant selectRecordDnbInstantByObjId(Long objId)
    {
        return recordDnbInstantMapper.selectRecordDnbInstantByObjId(objId);
    }

    /**
     * 查询电实时数据列表
     * 
     * @param recordDnbInstant 电实时数据
     * @return 电实时数据
     */
    @Override
    public List<RecordDnbInstant> selectRecordDnbInstantList(RecordDnbInstant recordDnbInstant)
    {
        return recordDnbInstantMapper.selectRecordDnbInstantList(recordDnbInstant);
    }

    /**
     * 新增电实时数据
     * 
     * @param recordDnbInstant 电实时数据
     * @return 结果
     */
    @Override
    public int insertRecordDnbInstant(RecordDnbInstant recordDnbInstant)
    {
        return recordDnbInstantMapper.insertRecordDnbInstant(recordDnbInstant);
    }

    /**
     * 修改电实时数据
     * 
     * @param recordDnbInstant 电实时数据
     * @return 结果
     */
    @Override
    public int updateRecordDnbInstant(RecordDnbInstant recordDnbInstant)
    {
        return recordDnbInstantMapper.updateRecordDnbInstant(recordDnbInstant);
    }

    /**
     * 批量删除电实时数据
     * 
     * @param objIds 需要删除的电实时数据主键
     * @return 结果
     */
    @Override
    public int deleteRecordDnbInstantByObjIds(Long[] objIds)
    {
        return recordDnbInstantMapper.deleteRecordDnbInstantByObjIds(objIds);
    }

    /**
     * 删除电实时数据信息
     * 
     * @param objId 电实时数据主键
     * @return 结果
     */
    @Override
    public int deleteRecordDnbInstantByObjId(Long objId)
    {
        return recordDnbInstantMapper.deleteRecordDnbInstantByObjId(objId);
    }
}
